#define XERR
#include "handler.ih"

void Handler::compile()
{
    // input consists of set/nr/files [/files]
    // so basic pattern:   *.cc and *.cpp

    if (not g_options.compile())
    {
        log() << "Not compiling source files\n";
        return;
    }

    Compiler compiler{ d_zipCheck.orderTxtMap() };
    if (not compiler.compile())
        throw Exception{REPLY} << "Compilation error(s) encountered";
}





